Package: org.grails.encoder.impl

## [Java] Class HTMLJSCodec

- org.grails.encoder.impl.HTMLJSCodec

- All Implemented Interfaces and Traits:
    CodecFactory

      public class HTMLJSCodec
      extends java.lang.Object
      implements CodecFactory

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected Decoder[]` | `decoders` |
    `protected StreamingEncoder[]` | `encoders` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `HTMLJSCodec ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Decoder` | `getDecoder()`
    `` | `public Encoder` | `getEncoder()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### protected final Decoder[] decoders

    - #### protected final StreamingEncoder[] encoders

  - ### Constructor Detail

    - #### public HTMLJSCodec()

  - ### Method Detail

    - #### @java.lang.Override public Decoder getDecoder()

    - #### @java.lang.Override public Encoder getEncoder()